package student.creator;

import java.util.HashSet;
import java.util.Set;

import org.apache.log4j.Logger;

import cz.agents.alite.pahtactical.creator.DefaultCreator;
import cz.agents.alite.tactical.util.Point;

public class StudentTestingCreator extends DefaultCreator {

    private static final Logger LOGGER = Logger.getLogger(StudentTestingCreator.class);
    private static final double Z_OFFSET = 1.5;

    @Override
    protected void createEntities() { 
        LOGGER.info(">>> CREATING UGV ENTITY");

        // Generate the checkpoints
        Point initLocation = new Point (569, 791, getAltitude(569,791) + Z_OFFSET);
        Set<Point> checkpoints = new HashSet<Point>();
        checkpoints.add(new Point(520, 850, getAltitude(520, 850) + Z_OFFSET));
        checkpoints.add(new Point(534, 960, getAltitude(534, 960) + Z_OFFSET));
        checkpoints.add(new Point(670, 945, getAltitude(670, 945) + Z_OFFSET));
        checkpoints.add(new Point(620, 800, getAltitude(620, 800) + Z_OFFSET));

        // Add a UGV
        addCarAgent(initLocation, checkpoints);
    } 

    public static void main(String[] args) {
        StudentTestingCreator creator = new StudentTestingCreator();
        creator.init(args);
        creator.enableVis2d(true);
        creator.enableVis3d(false);
        creator.create();
    }


}
